> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contextual.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Consent

> Retrieve the current consent status for the workspace.



## OpenAPI

````yaml api-reference/openapi.json get /workspaces/consent
openapi: 3.1.0
info:
  title: Endpoints
  version: '1.0'
servers:
  - url: https://api.contextual.ai/v1
security:
  - BearerAuth: []
paths:
  /workspaces/consent:
    get:
      tags:
        - /workspaces
      summary: Get Consent
      description: Retrieve the current consent status for the workspace.
      operationId: get_consent_workspaces_consent_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConsentResponse'
components:
  schemas:
    GetConsentResponse:
      properties:
        status:
          type: string
          title: Status
          description: The current consent status in `ConsentType`.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The email of the user who granted or revoked the consent
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
          description: The timestamp when the consent was granted or revoked
      type: object
      required:
        - status
        - email
        - created_at
      title: GetConsentResponse
      description: >-
        Response for the endpoint that retrieves the consent status for the
        workspace.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````